package edu.mermet.tp8.actions;

import java.awt.event.ActionEvent;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Properties;

import javax.swing.AbstractAction;
import javax.swing.ButtonGroup;
import javax.swing.JDialog;
import javax.swing.JInternalFrame;

import edu.mermet.tp8.Application;
import edu.mermet.tp8.ecouteur.EcouteurAfficher;

public class ActionValider extends AbstractAction {
	private ButtonGroup conv, text, diapo, bouton;
	private Application a;
	private JDialog dialog;
	
	public ActionValider(ButtonGroup conv, ButtonGroup text, ButtonGroup diapo, ButtonGroup bouton, Application a, JDialog dialog) {
		this.conv = conv;
		this.text = text;
		this.diapo = diapo;
		this.bouton = bouton;
		this.a = a;
		this.dialog = dialog;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		try {
        	
			Properties p = System.getProperties();        	
        	String name = p.getProperty("user.name");
        	
        	String adresse = "src/main/java/edu/mermet/tp8/donnesUtilisateur/"+ name +".properties";
        	
        	InputStream input = new FileInputStream(adresse);
        	
            Properties prop = new Properties();
            prop.load(input);
            
            prop.setProperty("conv", conv.getSelection().getActionCommand());
            prop.setProperty("texte", text.getSelection().getActionCommand());
            prop.setProperty("diapo", diapo.getSelection().getActionCommand());
            prop.setProperty("bouton", bouton.getSelection().getActionCommand());
            
            OutputStream output = new FileOutputStream(adresse);
            prop.store(output, null);

        } catch (IOException io) {
            io.printStackTrace();
        }
		
		dialog.setVisible(false);
		
		a.getActionAfficherConversion().actionPerformed(e);		
		a.getActionAfficherTexte().actionPerformed(e);
		a.getActionAfficherDiaporama().actionPerformed(e);
		a.getActionAfficherBouton().actionPerformed(e);
				
	}

}
